import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {path: 'chat', loadChildren: () => import('./chat/chat.module').then(mod => mod.ChatPageModule)},
  {path: 'agent', loadChildren: () => import('./agent/agent-shige/agent-shige.module').then(mod => mod.AgentShigePageModule)},
  {path: 'agent/:keyword', loadChildren: () => import('./agent/agent-shige/agent-shige.module').then(mod => mod.AgentShigePageModule)}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AigcRoutingModule { }
